Documentation Index
Fetch the complete documentation index at: https://docs.propaga.mx/llms.txt
Use this file to discover all available pages before exploring further.
When a customer doesn’t receive or loses the verification code for a transaction, you can use this endpoint to resend it. The code will be sent to the customer’s registered phone number.
curl --location --request POST 'https://staging-api.propaga.io/v1/transaction/{transactionId}/verification/{verificationId}' \
--header 'Authorization: <your_awesome_token>' \
--header 'Content-Type: application/json'
{
"message": "Verification code sent successfully"
}
Path parameters
Verification id generated on the creation of the transaction
Response
Confirmation message that the verification code was sent
Error codes
Transaction not found (404)
{
"errorCode": "TRANSACTION_NOT_FOUND",
"errorMessage": "This transaction not found"
}
Transaction is already verified (422)
{
"errorCode": "TRANSACTION_IS_VERIFIED",
"errorMessage": "This transaction is already verified"
}
Verification not found (404)
{
"errorCode": "VERIFICATION_NOT_FOUND",
"errorMessage": "This verification not found"
}
{
"errorCode": "TOO_MANY_ATTEMPTS",
"errorMessage": "Too many verification code requests. Please try again later"
}